/*
 * Device IDs...
 *
 */

/* From /dev/pci/pcidevs.h also incudes updates from the binary HAL's ah_devid.h */

/*Vendors*/
#define PCI_VENDOR_ATHEROS 	0x168c /*Atheros*/
#define PCI_VENDOR_3COM 	0x10b7 /* 3Com */
#define PCI_VENDOR_3COM2 	0xa727 /* 3Com */

/*Products*/
#define PCI_PRODUCT_ATHEROS_AR5210 		0x0007 /* AR5210 */
#define PCI_PRODUCT_ATHEROS_AR5311 		0x0011 /* AR5311 */
#define PCI_PRODUCT_ATHEROS_AR5211 		0x0012 /* AR5211 */
#define PCI_PRODUCT_ATHEROS_AR5212 		0x0013 /* AR5212 */
#define PCI_PRODUCT_3COM_3CRDAG675 		0x0013 /* 3CRDAG675 (Atheros AR5212) */
#define PCI_PRODUCT_3COM2_3CRPAG175 		0x0013 /* 3CRPAG175 (Atheros AR5212) */
#define PCI_PRODUCT_ATHEROS_AR5210_AP 		0x0207 /* AR5210 (Early) */
#define PCI_PRODUCT_ATHEROS_AR5212_IBM 		0x1014 /* AR5212 (IBM MiniPCI) */
#define PCI_PRODUCT_ATHEROS_AR5210_DEFAULT 	0x1107 /* AR5210 (no eeprom) */
#define PCI_PRODUCT_ATHEROS_AR5212_DEFAULT 	0x1113 /* AR5212 (no eeprom) */
#define PCI_PRODUCT_ATHEROS_AR5211_DEFAULT 	0x1112 /* AR5211 (no eeprom) */
#define PCI_PRODUCT_ATHEROS_AR5212_FPGA 	0xf013 /* AR5212 (emulation board) */
#define PCI_PRODUCT_ATHEROS_AR5211_LEGACY 	0xff12 /* AR5211 (emulation board) */
#define PCI_PRODUCT_ATHEROS_AR5211_FPGA11B 	0xf11b /* AR5211 (emulation board) */
#define PCI_PRODUCT_ATHEROS_AR5212_REV2 	0x0052 /* AR5312 WMAC (AP31) */
#define PCI_PRODUCT_ATHEROS_AR5212_REV7 	0x0057 /* AR5312 WMAC (AP30-040) */
#define PCI_PRODUCT_ATHEROS_AR5212_REV8 	0x0058 /* AR5312 WMAC (AP43-030) */
#define PCI_PRODUCT_ATHEROS_AR5212_0014 	0x0014 /* AR5212 compatible */
#define PCI_PRODUCT_ATHEROS_AR5212_0015 	0x0015 /* AR5212 compatible */
#define PCI_PRODUCT_ATHEROS_AR5212_0016 	0x0016 /* AR5212 compatible */
#define PCI_PRODUCT_ATHEROS_AR5212_0017 	0x0017 /* AR5212 compatible */
#define PCI_PRODUCT_ATHEROS_AR5212_0018 	0x0018 /* AR5212 compatible */
#define PCI_PRODUCT_ATHEROS_AR5212_0019 	0x0019 /* AR5212 compatible */
#define PCI_PRODUCT_ATHEROS_AR2413 		0x001a /* AR2413 (Griffin-lite) */
#define PCI_PRODUCT_ATHEROS_AR5413 		0x001b /* AR5413 (Eagle) */
#define PCI_PRODUCT_ATHEROS_AR5424 		0x001c /* AR5424 (Condor PCI-E) */

#define	AR5K_DEVID_AR2413	PCI_PRODUCT_ATHEROS_AR2413
#define	AR5K_DEVID_AR5413	PCI_PRODUCT_ATHEROS_AR5413
#define	AR5K_DEVID_AR5424	PCI_PRODUCT_ATHEROS_AR5424


/*Combatibility with MadWiFi's definitions (bimary HAL)*/

#define ATHEROS_VENDOR_ID	PCI_VENDOR_ATHEROS	/* Atheros PCI vendor ID */
#define ATHEROS_3COM_VENDOR_ID	PCI_VENDOR_3COM2	/* 3Com 3CRPAG175 vendor ID */
#define ATHEROS_3COM2_VENDOR_ID	PCI_VENDOR_3COM		/* 3Com 3CRDAG675 vendor ID */

/* AR5210 (for reference) */
#define AR5210_DEFAULT	PCI_PRODUCT_ATHEROS_AR5210_DEFAULT	/* No eeprom HW default */
#define AR5210_PROD	PCI_PRODUCT_ATHEROS_AR5210		/* Final device ID */
#define AR5210_AP	PCI_PRODUCT_ATHEROS_AR5210_AP		/* Early AP11s */

/* AR5211 */
#define AR5211_DEFAULT	PCI_PRODUCT_ATHEROS_AR5211_DEFAULT	/* No eeprom HW default */
#define AR5311_DEVID	PCI_PRODUCT_ATHEROS_AR5311		/* Final ar5311 devid */
#define AR5211_DEVID	PCI_PRODUCT_ATHEROS_AR5211		/* Final ar5211 devid */
#define AR5211_LEGACY	PCI_PRODUCT_ATHEROS_AR5211_LEGACY	/* Original emulation board */
#define AR5211_FPGA11B	PCI_PRODUCT_ATHEROS_AR5211_FPGA11B	/* 11b emulation board */

/* AR5212 */
#define AR5212_DEFAULT		PCI_PRODUCT_ATHEROS_AR5212_DEFAULT	/* No eeprom HW default */
#define AR5212_DEVID		PCI_PRODUCT_ATHEROS_AR5212		/* Final ar5212 devid */
#define AR5212_FPGA		PCI_PRODUCT_ATHEROS_AR5212_FPGA		/* Emulation board */
#define AR5212_DEVID_IBM	PCI_PRODUCT_ATHEROS_AR5212_IBM		/* IBM minipci ID */
#define AR5212_AR5312_REV2	PCI_PRODUCT_ATHEROS_AR5212_REV2		/* AR5312 WMAC (AP31) */
#define AR5212_AR5312_REV7	PCI_PRODUCT_ATHEROS_AR5212_REV7		/* AR5312 WMAC (AP30-040) */
#define AR5212_AR2313_REV8	PCI_PRODUCT_ATHEROS_AR5212_REV8		/* AR2313 WMAC (AP43-030) */

/* AR5212 compatible devid's also attach to 5212 */
#define AR5212_DEVID_0014	PCI_PRODUCT_ATHEROS_AR5212_0014
#define AR5212_DEVID_0015	PCI_PRODUCT_ATHEROS_AR5212_0015
#define AR5212_DEVID_0016	PCI_PRODUCT_ATHEROS_AR5212_0016
#define AR5212_DEVID_0017	PCI_PRODUCT_ATHEROS_AR5212_0017
#define AR5212_DEVID_0018	PCI_PRODUCT_ATHEROS_AR5212_0018
#define AR5212_DEVID_0019	PCI_PRODUCT_ATHEROS_AR5212_0019
#define AR5212_AR2413		PCI_PRODUCT_ATHEROS_AR2413          /* AR2413 aka Griffin-lite */
#define AR5212_AR5413		PCI_PRODUCT_ATHEROS_AR5413          /* Eagle */
#define AR5212_AR5424		PCI_PRODUCT_ATHEROS_AR5424          /* Condor (PCI express) */

/*Not-supported by OpenHAL*/
/* AR5213 */
#define AR5213_SREV_1_0		0x0055
#define AR5213_SREV_REG		0x4020

#define AR_SUBVENDOR_ID_NOG	0x0e11		/* No 11G subvendor ID */
#define AR_SUBVENDOR_ID_NEW_A	0x7065		/* Update device to new RD */
